<meta charset="utf-8">
<h1>JavaScript: querySelector e querySelectorAll</h1>
<style>
    p {
        background-color: #f2f2f2;
        border: 1px solid #ddd;
        padding: 15px;
    }

    .vermelho {
        background-color: #fff0f0;
        border-color: red;
        color: red;
    }
</style>

<p>Parágrafo 1</p>
<p class="vermelho">Parágrafo 2</p>
<p>Parágrafo 3</p>
<p>Parágrafo 4</p>
<p class="vermelho">Parágrafo 5</p>
<p class="vermelho">Parágrafo 6</p>
<span class="vermelho">Meu span vermelho</span>
<p>Parágrafo 7</p>
<p>Parágrafo 8</p>
<p>Parágrafo 9</p>
<p id="p10">Parágrafo 10</p>

<script>

    const p10 = document.querySelector('#p10');
    console.log(p10); // objeto <p id="#p10">
    p10.textContent = "Texto alterado pelo JavaScript";

    const vermelhos = document.querySelectorAll('p.vermelho');
    console.log(vermelhos); // lista de objetos <p> com classe "vermelho"
    vermelhos.textContent = "Vermelhos alterados pelo JavaScript";

    for (let i = 0; i < vermelhos.length; i++) {
        vermelhos[i].textContent = 'Textos vermelhos alterados com o looping for...';
    }

    for (let p of vermelhos) {
        p.textContent = "Textos vermelhos alterados com o looping for..of do JS...";
    }

    vermelhos.forEach(function (p, indice) {
        p.textContent = "Textos vermelhos alterados com o forEach...";
    });

    // Arrow Functions / ES6
    vermelhos.forEach(p => p.textContent = "Textos vermelhos alterados com o forEach...");

</script>